Telepítés, frissítés, beépülő modulok, testreszabás

Általános megbeszélés, kérdések és válaszok magyar fóruma

Moderator: onesz

Forum rules
fórum szabályai és hasznos információk

FONTOS: Kérlek olvasd el ezt mielőtt kérdést tennél fel
User avatar
onesz
Posts: 87
Joined: Fri Nov 11, 2011 8:40 am

Re: Telepítés, frissítés, beépülő modulok, testreszabás

Postby onesz » Fri Oct 19, 2018 12:34 pm

Sajnos a válasz: "Készíts magadnak" -

Ezt találtam:
Menün bellül:

https://www.freecadweb.org/wiki/Interface_Customization

vagy programozva:

https://www.freecadweb.org/wiki/Workbench_creation
RL77
Posts: 1
Joined: Tue Jan 15, 2019 6:03 am

Re: Telepítés, frissítés, beépülő modulok, testreszabás

Postby RL77 » Tue Jan 15, 2019 11:58 am

Üdv!

Néhány napja nem tudom elindítani a modulokat, mindig ezt a hibaüzenetet hozza fel:

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.11' not found (required by /home/revesz/.local/lib/python2.7/site-packages/PySide2/QtGui.so)

A rendszerem:

OS: Ubuntu 18.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13541 (Git)
Build type: Release
Branch: releases/FreeCAD-0-17
Hash: 9948ee4f1570df9216862a79705afb367b2c6ffb
Python version: 2.7.15rc1
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: Hungarian/Hungary (hu_HU)

Tud valaki segíteni, hogy mi lehet a probléma?

Révész Lajos
User avatar
onesz
Posts: 87
Joined: Fri Nov 11, 2011 8:40 am

Re: Telepítés, frissítés, beépülő modulok, testreszabás

Postby onesz » Tue Jan 15, 2019 10:08 pm

RL77 wrote:
Tue Jan 15, 2019 11:58 am
/usr/lib/x86_64-linux-gnu/libQt5Core.so.5: version `Qt_5.11' not found (required by /home/revesz/.local/lib/python2.7/site-packages/PySide2/QtGui.so)
Mivel egyértelműen hiányzik a
QT 5.11 ezért azt telepíteni kell először.
A QT verziód alacsony számú: Qt version: 5.9.5

Utána lehet, hogy a python 2.7 is újretelepítendő és a FreeCAD is.

Kérlek ne nyiss új topikot mert átláthatatlan lesz és követhetetlen, ez egy teleptési hiba,
operációs rendszeri öszeférhetetlenség stb.
AvgJoe
Posts: 35
Joined: Wed Oct 01, 2014 2:23 am

Re: Telepítés, frissítés, beépülő modulok, testreszabás

Postby AvgJoe » Sat Feb 02, 2019 6:16 pm

Beállításoktól függetlenül minden test feketén jelenik meg a freecadban:
hiba.png
hiba.png (10.49 KiB) Viewed 472 times
Eddig az alábbiakkal próbálkoztam:
-Visszaállítottam az eredeti beállításokat
-dpkg-reconfigure freecad
-apt install --reinstall freecad
-apt install --reinstall libpng-dev

Mi lehet a hiba oka?

FreeCAD.log:
https://bit.ly/2WvlIOO

OS: Ubuntu 18.04.1 LTS
Word size of OS: 32-bit
Word size of FreeCAD: 32-bit
Version: 0.17.13541 (Git)
Build type: Release
Branch: releases/FreeCAD-0-17
Python version: 2.7.15rc1
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
User avatar
onesz
Posts: 87
Joined: Fri Nov 11, 2011 8:40 am

Re: Telepítés, frissítés, beépülő modulok, testreszabás

Postby onesz » Mon Feb 04, 2019 7:44 pm

Üdv a FreeCAD fórumon!

Próbáltad a
Szerkesztés, Beállítások - > Megjelenítés
és itt a Színek fül vagy az Alkatrészek fül alatti beállításokat?
AvgJoe
Posts: 35
Joined: Wed Oct 01, 2014 2:23 am

Re: Telepítés, frissítés, beépülő modulok, testreszabás

Postby AvgJoe » Tue Feb 05, 2019 10:37 am

Igen de hiába.
szinek.png
szinek.png (60.13 KiB) Viewed 423 times
AvgJoe
Posts: 35
Joined: Wed Oct 01, 2014 2:23 am

Re: Telepítés, frissítés, beépülő modulok, testreszabás

Postby AvgJoe » Wed Feb 06, 2019 11:37 am

Biztosan egy frissítés okozhatta a problémát. A 0.16-s verzió hibátlanul működik.
User avatar
onesz
Posts: 87
Joined: Fri Nov 11, 2011 8:40 am

Re: Telepítés, frissítés, beépülő modulok, testreszabás

Postby onesz » Sat Feb 09, 2019 5:57 pm

@AvgJoe

A log fájlod segített.

A log file egyértelműen mutatja:
Log: libpng warning: iCCP: known incorrect sRGB profile
Log: libpng warning: iCCP: known incorrect sRGB profile

Ez lehetett a bibi.

Így a színeket nem tudja megfelelően visszaadni.
Berci
Posts: 52
Joined: Sun Feb 14, 2016 9:56 am

Re: Telepítés, frissítés, beépülő modulok, testreszabás

Postby Berci » Sun Feb 10, 2019 6:29 pm

Sziasztok!
A drawing_dimensioning és az assembly2 telepítésével vannak gondjaim. Segítenétek?
Köszönöm.

OS: Ubuntu 18.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15780 (Git)
Build type: Release
Branch: master
Hash: f94e76c1116ec3b818961ff65131b3d86fa5b95e
Python version: 2.7.15rc1
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: Hungarian/Hungary (hu_HU)
User avatar
onesz
Posts: 87
Joined: Fri Nov 11, 2011 8:40 am

Re: Telepítés, frissítés, beépülő modulok, testreszabás

Postby onesz » Wed Feb 13, 2019 7:11 pm

Ez így nem OK?

A makrók topik alatt leírtam:

Ok akkor egy példa:

szeretném használni a drawing_dimensioning makrót:

Lépések:
Makró -> Makrók ... -> Jobbra allul: Kiegészítők...

Előjön a Addon manager

It a Workbenches felső fül alatt keresd és JELÖLD meg (legyen ez kék): drawing_dimensioning
Utána allul Install/update

Ezután így kell szerepelnie a listában: drawing_dimensioning (Installed)

Ezután már használható, de nem próbáltam.

Remélem segít.